RecordedClass (Java SE 25 & JDK 25)
Description: declaration: module: jdk.jfr, package: jdk.jfr.consumer, class: RecordedClass
Keywords: jdk.jfr.consumer.RecordedClass class

# Class RecordedClass

java.lang.Object
jdk.jfr.consumer.RecordedObject
jdk.jfr.consumer.RecordedClass

public final class RecordedClass extends RecordedObject
A recorded Java type, such as a class or an interface.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RecordedClassLoader`
  `getClassLoader()`
  Returns the class loader that defined the class.
  `long`
  `getId()`
  Returns a unique ID for the class.
  `int`
  `getModifiers()`
  Returns the modifiers of the class.
  `String`
  `getName()`
  Returns the fully qualified name of the class (for example, `"java.lang.String"`).

  ### Methods declared in class RecordedObject

  `getBoolean, getByte, getChar, getClass, getDouble, getDuration, getFields, getFloat, getInstant, getInt, getLong, getShort, getString, getThread, getValue, hasField, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getModifiers

    public int getModifiers()
    Returns the modifiers of the class.
    Returns:
      the modifiers
    See Also:
      - `Modifier`

  - ### getClassLoader

    public RecordedClassLoader getClassLoader()
    Returns the class loader that defined the class.

    If the bootstrap class loader is represented as `null` in the Java Virtual Machine (JVM), then `null` is also the return value of this method.

    Returns:
      the class loader defining this class, can be `null`

  - ### getName

    public String getName()
    Returns the fully qualified name of the class (for example, `"java.lang.String"`).
    Returns:
      the class name, not `null`

  - ### getId

    public long getId()
    Returns a unique ID for the class.

    The ID might not be the same between Java Virtual Machine (JVM) instances.

    Returns:
      a unique ID